List all Checkout Session line items
Returns a paginated list of the line items for a Checkout Session. Each line item includes its quantity, amounts, price and product details, and any applied tax rates.
Use this endpoint to display the contents of a Checkout Session or retrieve all line items when the Checkout Session response does not include the complete list.
Related guide: Checkout Experience
Path Parameters
- Type: stringidmax length:200required
Query Parameters
- Type: integer Format: int32limitmin:1max:100
Signed 32-bit integers (commonly used integer type).
- Type: stringlast
_key Opaque cursor for pagination. Use the
last_keyvalue from the previous response to retrieve the next page. - Type: stringkeymax length:200
Publishable key used by client-side Checkout line-item retrieval.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/v1/checkouts/{id}/line_items
curl 'https://api.paypercut.io/v1/checkouts/{id}/line_items' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"items": [
{
"id": "string",
"position": 1,
"quantity": 1,
"price": {
"id": null,
"unit_amount": 100,
"currency": {
"iso": "usd",
"scale": 2
},
"recurring": {
"interval": "day",
"interval_count": 1
},
"product": {
"id": null,
"name": "string",
"description": null
}
},
"amount_subtotal": 100,
"amount_discount": 100,
"amount_tax": 100,
"amount_total": 100,
"currency": {
"iso": "usd",
"scale": 2
},
"description": null,
"tax_behavior": "unspecified",
"tax_rates": [
{
"id": null,
"display_name": "string",
"inclusive": true,
"percentage": "string",
"country": null,
"jurisdiction": null,
"state": null,
"tax_type": null,
"description": null,
"metadata": {
"additionalProperty": "string"
}
}
]
}
],
"last_key": null
}
